### Method

# Gio ProxyAddress get_uri

since: 2.34

#### Declaration [src]

    const gchar*
    g_proxy_address_get_uri (
      GProxyAddress* proxy
    )

#### Description [src]

Gets the proxy URI that `proxy` was constructed from.

Available since: 2.34

Gets property | `Gio.ProxyAddress:uri`

#### Return value

Type: `const gchar*`

The `proxy`‘s URI, or `NULL` if unknown.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.